[giggle] autogen.sh: Detect the presence of autoreconf, intltool and gnome-doc tools
- From: Javier Jardón <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [giggle] autogen.sh: Detect the presence of autoreconf, intltool and gnome-doc tools
- Date: Fri, 18 Feb 2011 21:19:55 +0000 (UTC)
commit 35ce6f992f0ecfe524639f51b034919566e5e978
Author: Javier Jardón <jjardon gnome org>
Date: Fri Feb 18 20:46:46 2011 +0000
autogen.sh: Detect the presence of autoreconf, intltool and gnome-doc tools
Reported by Diego Celix in bug
https://bugzilla.gnome.org/show_bug.cgi?id=642709
autogen.sh | 34 ++++++++++++++++++++++++++++------
1 files changed, 28 insertions(+), 6 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 0a37204..0bf7380 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,10 +3,32 @@
test -n "$srcdir" || srcdir=`dirname "$0"`
test -n "$srcdir" || srcdir=.
-(
- cd "$srcdir" &&
- gnome-doc-prepare --automake --copy --force &&
- autopoint --force &&
- AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install
-) || exit
+
+olddir=`pwd`
+cd $srcdir
+
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please intall it ***"
+ exit 1
+fi
+
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+ echo "*** No intltoolize found, please install the intltool package ***"
+ exit 1
+fi
+
+AUTORECONF=`which gnome-doc-prepare`
+if test -z $AUTORECONF; then
+ echo "*** The tools to build the documentation are not found,"
+ echo " please intall the gnome-doc-utils package ***"
+ exit 1
+fi
+
+gnome-doc-prepare --automake --copy --force
+autopoint --force
+AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
+
+cd $olddir
test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]